Message: Problem integrating CRY with Geant4: "G4INSTALL not defined" Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question Problem integrating CRY with Geant4: "G4INSTALL not defined" 

Forum: Installation and Configuration
Date: 09 Dec, 2014
From: Phil <Phil>

Hello.

I am very new to geant4. I successfully installed geant4.10.00.03 on Ubuntu 14.04. I have worked through the first couple of examples using QT5 as the visualization software without issue. However, when I tried to integrate the Cosmic Ray Shower Library (CRY 1.7), I have run into problems. Cry is available at http://nuclear.llnl.gov/simulation/.

I followed the user manual. I began by downloading CRY and using tar to unzip it. I used "make" to create the library. I ran the test main to be doubly sure that is was functioning. Following this, I changed directories to the geant example. From here, I ran the "test cry" function, but I'm honestly unsure if it worked, as there was an overwhelming amount of text that entered the terminal. When I try to make the example (I just used make as there was no cmake text), I get the following error:

"G4INSTALL not defined, please setup GEANT4 environment". I've done some preliminary troubleshooting, but when I tried to run env+.sh, my terminal crashed.

I have a feeling that this is an embarrassingly simple error. Any assistance would be greatly appreciated.

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Problem integrating CRY with Geant4:   (Ben Morgan - 11 Dec, 2014)
 Add Message Add Message
to: "Problem integrating CRY with Geant4: "G4INSTALL not defined""

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]